Support » Plugin: SVG Support » plugin interferes with WordPress CLI

  • Resolved ericadreisbach

    (@ericadreisbach)


    Love this plugin! But as of the most recent WordPress update (5.9) I need to deactivate the plugin in order to run CLI commands, like wp cache flush

    The specific command line error looks like:

    Fatal error: Uncaught Error: Call to a member function setAllowedTags() on null in /plugins/svg-support/functions/attachment.php:246
    Stack trace:
    #0 /wp-includes/class-wp-hook.php(307): bodhi_svgs_apply_filters('')
    #1 /wp-includes/class-wp-hook.php(331): WP_Hook->apply_filters(NULL, Array)
    #2 /wp-includes/plugin.php(474): WP_Hook->do_action(Array)
    #3 /wp-settings.php(565): do_action('after_setup_the...')
    #4 phar:///usr/local/bin/wp-cli.phar/vendor/wp-cli/wp-cli/php/WP_CLI/Runner.php(1317): require('/home/customer/...')
    #5 phar:///usr/local/bin/wp-cli.phar/vendor/wp-cli/wp-cli/php/WP_CLI/Runner.php(1235): WP_CLI\Runner->load_wordpress()
    #6 phar:///usr/local/bin/wp-cli.phar/vendor/wp-cli/wp-cli/php/WP_CLI/Bootstra in xxxxxxxxxxxxx/plugins/svg-support/functions/attachment.php on line 246
    Error: There has been a critical error on this website.Learn more about troubleshooting WordPress. There has been a critical error on this website.
Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Benbodhi

    (@benbodhi)

    Hi there,

    Thanks for reporting! I am working on this now and will push an update asap.

    Thanks for your patience!

    Plugin Author Benbodhi

    (@benbodhi)

    This should be fixed in 2.4.1.

    I tested WP-CLI using 2.4 and reproduced the same error, then updated and no error 🙂

    Please let me know how you go and if you spot anything else.

    And thank you for the report, support and patience!

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘plugin interferes with WordPress CLI’ is closed to new replies.